groups:
- name: Node summary
  interval: 1m
  rules:
  - record: job:node_cpus:count
    expr: >
      count without (instance, cpu, mode) (
        avg_over_time(node_cpu_seconds_total{mode="idle"}[1m])
      )

  - record: job_mode:node_cpu_seconds_total:rate1m
    expr: >
      sum without (instance, cpu) (
        rate(node_cpu_seconds_total[1m])
      )

  - record: job:node_memory_total_bytes:sum
    expr: >
      sum without (instance) (
        avg_over_time(node_memory_MemTotal_bytes[1m])
      )
  - record: job:node_memory_available_bytes:sum
    expr: >
      sum without (instance) (
        avg_over_time(node_memory_MemAvailable_bytes[1m])
      )

  - record: job_rootfs:node_filesystem_size_bytes:sum
    expr: >
      sum without (instance) (
        avg_over_time(node_filesystem_size_bytes{mountpoint="/"}[1m])
      )

  - record: job_rootfs:node_filesystem_avail_bytes:sum
    expr: >
      sum without (instance) (
        avg_over_time(node_filesystem_avail_bytes{mountpoint="/"}[1m])
      )

  - record: job:node_network_transmit_bytes:rate1m
    expr: >
      sum without (instance) (
        rate(node_network_transmit_bytes_total{device=~"(ens.*|eth.*|docker0)"}[1m])
      )

  - record: job:node_network_receive_bytes:rate1m
    expr: >
      sum without (instance) (
        rate(node_network_receive_bytes_total{device=~"(ens.*|eth.*|docker0)"}[1m])
      )
